def lunar_arithmetic(a, b):
    a_str = str(a)
    b_str = str(b)
    
    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)
    
    sum_result = []
    product_result = []
    
    for digit_a, digit_b in zip(a_str, b_str):
        sum_result.append(str(max(int(digit_a), int(digit_b))))
        product_result.append(str(min(int(digit_a), int(digit_b))))
    
    sum_result_str = ''.join(sum_result)
    product_result_str = ''.join(product_result)
    
    return sum_result_str, product_result_str

a = input().strip()
b = input().strip()

sum_result, product_result = lunar_arithmetic(a, b)

print(sum_result)
print(product_result)
